﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Chapter14
{
    class TimedApplicationContext: ApplicationContext
    {
        Timer timer = new Timer();

        public TimedApplicationContext(Form mainForm) : base(mainForm)
        {
            timer.Tick += timer_Tick;
            timer.Interval = 10000; // 10 seconds
            timer.Enabled = true;
        }

        void timer_Tick(object sender, EventArgs e)
        {
            timer.Enabled = false;
            timer.Dispose();

            if (MessageBox.Show(
                "OK to charge credit cards?",
                "Time's Up!",
                MessageBoxButtons.YesNo) == DialogResult.No)
            {
                this.MainForm.Close();
            }

        }
    }
}
